      SUBROUTINE MCRTBL(MCODE,NMCODE,NMSIZE,INCODE)

C     *************************************************************************
C
C     MCRTBL
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     25-JUN-2008:  CREATED
C     15-MAY-2011:  REFORMULATED FOR IMPROVED PERFORMANCE
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     MORTON CODE MANIPULATION
C     RETRIEVES A MORTON CODE FROM THE PARTITION INTERVAL TABLE
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_mcmlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NMCODE(MCSIZE,0:NMSIZE)
      INTEGER MCODE(MCSIZE)
      INTEGER NMSIZE,INCODE


C     LOCAL DATA
C     ==========
      INTEGER ICSIZE


C     BEGIN
C     =====

C     =========================================================================

C     RETRIEVE
C     --------
      DO ICSIZE = 1,MCSIZE
        MCODE(ICSIZE) = NMCODE(ICSIZE,INCODE)
      ENDDO

C     =========================================================================


      RETURN
      END
