      SUBROUTINE MCCOPY(MCODE1,MCODE2)
 
C     *************************************************************************
C
C     MCCOPY
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     25-JUN-2008:  CREATED
C     15-MAY-2011:  REFORMULATED FOR IMPROVED PERFORMANCE
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     MORTON CODE MANIPULATION
C     COPIES A MORTON CODE IN ITS ENTIRETY
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_mcmlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER MCODE1(MCSIZE),MCODE2(MCSIZE)


C     LOCAL DATA
C     ==========
      INTEGER ICSIZE


C     BEGIN
C     =====

C     =========================================================================

C     COPY
C     ----
      DO ICSIZE = 1,MCSIZE
        MCODE2(ICSIZE) = MCODE1(ICSIZE)
      ENDDO

C     =========================================================================


      RETURN
      END
