      SUBROUTINE MCMTRV(MCODES,NCSIZE,NMCODE,NMSIZE,ICODE1,ICODE2)

C     *************************************************************************
C
C     MCMTRV
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     25-JUN-2008:  CREATED
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     MORTON CODE MANIPULATION
C     RETRIEVES MULTIPLE MORTON CODES FROM THE MAIN ARRAY
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_mcmlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NMCODE(MCSIZE,NMSIZE)
      INTEGER MCODES(MCSIZE,NCSIZE)
      INTEGER NCSIZE,NMSIZE,ICODE1,ICODE2


C     LOCAL DATA
C     ==========
      INTEGER ICODES,JCODES,ICSIZE


C     BEGIN
C     =====

C     =========================================================================

C     RETRIEVE
C     --------
      JCODES = 0
      DO ICODES = ICODE1,ICODE2
        JCODES = JCODES + 1
        DO ICSIZE = 1,MCSIZE
          MCODES(ICSIZE,JCODES) = NMCODE(ICSIZE,ICODES)
        ENDDO
      ENDDO

C     =========================================================================


      RETURN
      END
