      SUBROUTINE DUNBUF(DATARY,MDARAY,NSTART,NFINIS)
 
C     *************************************************************************
C
C     DUNBUF
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     11-APR-2009:  CREATED
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     PARALLEL LOAD-BALANCING
C     UNBUFFERS PHYSICAL DATA
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_hamish.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      DOUBLE PRECISION DATARY(MDARAY)
      INTEGER MDARAY,NSTART,NFINIS


C     LOCAL DATA
C     ==========
      INTEGER JCELL,JSPEC,JCOUNT


C     BEGIN
C     =====

C     =========================================================================

C     FILL ARRAY WITH DATA
      JCOUNT = 0
      DO JCELL = NSTART, NFINIS
        JCOUNT = JCOUNT + 1
        DRUN(JCELL) = DATARY(JCOUNT)
      ENDDO
      DO JCELL = NSTART, NFINIS
        JCOUNT = JCOUNT + 1
        URUN(1,JCELL) = DATARY(JCOUNT)
        JCOUNT = JCOUNT + 1
        URUN(2,JCELL) = DATARY(JCOUNT)
        JCOUNT = JCOUNT + 1
        URUN(3,JCELL) = DATARY(JCOUNT)
      ENDDO
      DO JCELL = NSTART, NFINIS
        JCOUNT = JCOUNT + 1
        ERUN(JCELL) = DATARY(JCOUNT)
      ENDDO
      DO JCELL = NSTART, NFINIS
        DO JSPEC = 1, NSPEC
          JCOUNT = JCOUNT + 1
          YRUN(JSPEC,JCELL) = DATARY(JCOUNT)
        ENDDO
      ENDDO

C     =========================================================================


      RETURN
      END
