      SUBROUTINE MCMOVE(NMCODE,NMSIZE,INCODE,INDEST)

C     *************************************************************************
C
C     MCMOVE
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     25-JUN-2008:  CREATED
C     15-MAY-2011:  REFORMULATED FOR IMPROVED PERFORMANCE
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     MORTON CODE MANIPULATION
C     MOVES A MORTON CODE IN THE SPECIFIED ARRAY
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_mcmlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NMCODE(MCSIZE,NMSIZE)
      INTEGER NMSIZE,INCODE,INDEST


C     LOCAL DATA
C     ==========
      INTEGER ICSIZE


C     BEGIN
C     =====

C     =========================================================================

      IF(INCODE.NE.INDEST)THEN

C       MOVE
C       ----
        DO ICSIZE = 1,MCSIZE
          NMCODE(ICSIZE,INDEST) = NMCODE(ICSIZE,INCODE)
        ENDDO

      ENDIF

C     =========================================================================


      RETURN
      END
