      SUBROUTINE OCRITE(NOCPAR,NOCHLD,COCODE,NOCSIZ,NOCHWM)
 
C     *************************************************************************
C
C     OCRITE
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     10-JUL-2008:  CREATED
C     02-FEB-2016:  RSC MODIFIED FOR MULTIPLE OCTREES
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     WRITES OUT THE OCTREE
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_octlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NOCSIZ,NOCHWM
      INTEGER NOCHLD(0:7,NOCSIZ)
      INTEGER NOCPAR(NOCSIZ)
      CHARACTER*1 COCODE(0:7,NOCSIZ)


C     LOCAL DATA
C     ==========
      INTEGER IOCTET,ICHILD


C     BEGIN
C     =====

C     =========================================================================

C     WRITE OUT THE OCTREE
C     --------------------
      WRITE(6,'(I6)')NOCHWM
      DO IOCTET = 1,NOCHWM
        WRITE(6,'(2I6,8(X,A1,I6))')IOCTET,NOCPAR(IOCTET),
     +       (COCODE(ICHILD,IOCTET),NOCHLD(ICHILD,IOCTET),ICHILD=0,7)
      ENDDO

C     =========================================================================


      RETURN
      END
