      SUBROUTINE REMCEN(NARRAY,ICSPEC,NASIZE,N2SORT)
 
C     *************************************************************************
C
C     REMCEN
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     27-AUG-2014:  CREATED
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     REMOVES THE SPECIFIED VALUE FROM A SORTED ARRAY OF INTEGERS
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_hamish.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NARRAY(NASIZE)
      INTEGER ICSPEC,NASIZE,N2SORT


C     LOCAL DATA
C     ==========
      INTEGER JCELL,JDEST


C     BEGIN
C     =====

C     =========================================================================

      IF(N2SORT.GT.0)THEN

C       =======================================================================

        JDEST = 0

        DO JCELL = 1, N2SORT

          IF(ICSPEC.NE.NARRAY(JCELL))THEN

            JDEST = JDEST + 1

            IF(JDEST.NE.JCELL)THEN
              NARRAY(JDEST) = NARRAY(JCELL)
            ENDIF

          ENDIF

        ENDDO

C       =======================================================================

        N2SORT = JDEST

      ENDIF

C     =========================================================================


      RETURN
      END
