      SUBROUTINE REMDIN(NARRAY,NASIZE,N2SORT)
 
C     *************************************************************************
C
C     REMDIN
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     22-MAR-2016:  CREATED
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     REMOVES DUPLICATE ENTRIES FROM A SORTED ARRAY OF INTEGERS
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_hamish.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NARRAY(NASIZE)
      INTEGER NASIZE,N2SORT


C     LOCAL DATA
C     ==========
      INTEGER JCELL,JCLM1,JDEST


C     BEGIN
C     =====

C     =========================================================================

      IF(N2SORT.GT.1)THEN

C       =======================================================================

        JDEST = 1

        DO JCELL = 2, N2SORT

          JCLM1 = JCELL - 1

          IF(NARRAY(JCLM1).NE.NARRAY(JCELL))THEN

            JDEST = JDEST + 1

            IF(JDEST.NE.JCELL)NARRAY(JDEST) = NARRAY(JCELL)

          ENDIF

        ENDDO

C       =======================================================================

        N2SORT = JDEST

      ENDIF

C     =========================================================================


      RETURN
      END
