      SUBROUTINE MCCNEW(MCODE)
 
C     *************************************************************************
C
C     MCCNEW
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     11-JUL-2008:  CREATED
C     08-MAY-2011:  REFORMULATED FOR IMPROVED PERFORMANCE
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     MORTON CODE MANIPULATION
C     CREATES A NEW (NULL) MORTON CODE
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_mcmlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER MCODE(MCSIZE)


C     LOCAL DATA
C     ==========
      INTEGER ICSIZE


C     BEGIN
C     =====

C     =========================================================================

C     INITIALISE
C     ----------
      DO ICSIZE = 1,MCSIZE
        MCODE(ICSIZE) = 0
      ENDDO

C     =========================================================================


      RETURN
      END
