      SUBROUTINE MCPTBL(MCODE,NTABLE,NTSIZE,INCODE)
 
C     *************************************************************************
C
C     MCPTBL
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     05-SEP-2008:  CREATED
C     15-MAY-2011:  REFORMULATED FOR IMPROVED PERFORMANCE
C
C     DESCRIPTION
C     -----------
C     DNS CODE HAMISH
C     MORTON CODE MANIPULATION
C     INSERTS A MORTON CODE INTO THE PARTITION INTERVAL TABLE
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'com_mcmlib.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NTSIZE,INCODE
      INTEGER MCODE(MCSIZE),NTABLE(MCSIZE,0:NTSIZE)


C     LOCAL DATA
C     ==========
      INTEGER ICSIZE


C     BEGIN
C     =====

C     =========================================================================

C     INSERT INTO THE TABLE
C     ---------------------
      DO ICSIZE = 1,MCSIZE
        NTABLE(ICSIZE,INCODE) = MCODE(ICSIZE)
      ENDDO

C     =========================================================================


      RETURN
      END
