      SUBROUTINE P_GTHI(NELMNT,NELSIZ,NPLOCL,NPARAY)
 
C     *************************************************************************
C
C     P_GTHI
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT  --  CAMBRIDGE UNIVERSITY ENGINEERING DEPARTMENT
C
C     CHANGE RECORD
C     -------------
C     19-AUG-2008:  CREATED
C
C     DESCRIPTION
C     -----------
C     GATHERS A SINGLE DATA ITEM FROM EACH PROCESSOR
C     AND DISTRIBUTES THE RESULTING ARRAY TO ALL PROCESSORS
C     USING MPI
C     INTEGER VARIANT
C
C     *************************************************************************


C     GLOBAL DATA
C     ===========
C     -------------------------------------------------------------------------
      INCLUDE 'mpif.h'
C     -------------------------------------------------------------------------


C     ARGUMENTS
C     =========
      INTEGER NPLOCL(NPARAY)
      INTEGER NELMNT(NELSIZ)
      INTEGER NELSIZ,NPARAY


C     LOCAL DATA
C     ==========
      INTEGER IERROR


C     BEGIN
C     =====

C     =========================================================================

      CALL MPI_ALLGATHER(NELMNT,NELSIZ,MPI_INTEGER,
     +                   NPLOCL,NELSIZ,MPI_INTEGER,
     +                   MPI_COMM_WORLD,IERROR)

C     =========================================================================


      RETURN
      END
