      SUBROUTINE RANGIN(ISEED)
 
C     *************************************************************************
C
C     RANGIN
C     ======
C
C     AUTHOR
C     ------
C     R.S.CANT
C
C     CHANGE RECORD
C     -------------
C     21-JUL-2001:  CREATED
C
C     DESCRIPTION
C     -----------
C     UNIVARIATE GAUSSIAN RANDOM NUMBER GENERATOR
C     INITIALISION ROUTINE
C
C     REFERENCES
C     ----------
C     1) NUMERICAL RECIPES pp196-197
C
C     *************************************************************************


C     ARGUMENT
C     ========
      INTEGER ISEED


C     SAVED DATA
C     ==========
      DOUBLE PRECISION RSAVED
      LOGICAL RREADY
      COMMON/GRANNY/RSAVED,RREADY


C     BEGIN
C     =====
      CALL RANINI(ISEED)

      RSAVED = 0.0D0
      RREADY = .FALSE.


      RETURN
      END
